Subject: Re: Recall process

From: S Moonesamy <[email-masked]>
Date: Sun, 24 Mar 2019 15:11:05 -0700

Hello,
At 09:40 AM 23-03-2019, John C Klensin wrote:
>I trust he will pursue the issue via an I-D, which will at least 
>help focus the
>discussion.  He may list me as co-author because of the original

The I-D is at: 
https://tools.ietf.org/html/draft-moonesamy-recall-rev-00  I would 
like to have your feedback on the I-D.

Regards,
S. Moonesamy

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 25 Mar 2019 08:07:39 -0000

Thanks!

Just reading this before breakfast and thus without coffee.

It's good work, thanks.

A few small comments below. 

Best,
Adrian

===

Abstract
   The procedures for initiating a recall specified in RFC 7437 restrict
   signatories to those who are "nomcom qualified".
s/signatories/signatories of a recall petition/

---

Abstract
s/limitations were/limitations had/

---

2.3 has some confused punctuation

OLD
   That sets a very high barrier for a recall petition
   even though the recall petition requires a, justification, an
   investigation by a Recall Committee and a 3/4 majority of the members
   of the Recall Committee who vote on the recall decision.
NEW
   That sets a very high barrier for a recall petition
   even though the recall petition requires a justification, an
   investigation by a Recall Committee, and a 3/4 majority of the members
   of the Recall Committee who vote on the recall decision. 
END

---

Because it comes before the exposition of how many signatures you are
proposing, I would add to 2.3 something to the effect of...

OLD
   This
   document also proposes to decrease the number of signatures required
   to avoid making it impractical to invoke the first step of the recall
   procedures.
NEW
   While recognising that some form of barrier is a good thing to prevent
   capricious use of recall petitions, this
   document also proposes to decrease the number of signatures required
   to avoid making it impractical to invoke the first step of the recall
   procedures.
END

---

For completeness, I think this document should also note that 7776 made an
update to 7437 as follows...

3.1.  Recall Petitions Initiated by the Ombudsteam

      [RFC7776] updates [RFC7437] by allowing the
      Ombudsteam to form a recall petition on its own and without
      requiring signatories from the community.  This document
      does not make any change to [RFC7776] or the Ombudsteam
      procedures and any petition originating from the Ombudsteam
      shall be treated in all ways like any other recall petition as
      described in [RFC7437]: that is, the fact of the petition and its
      signatories (the Ombudsteam) shall be announced to the IETF
      community, and a Recall Committee Chair shall be appointed
      to complete the Recall Committee process. 

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of S Moonesamy
Sent: 24 March 2019 22:11
To: [email-masked]
Cc: John C Klensin <[email-masked]>
Subject: Re: Recall process

Hello,

The I-D is at: 

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Mon, 25 Mar 2019 01:53:31 -0700

Hi Adrian,
>Just reading this before breakfast and thus without coffee.

Thanks for the feedback.

>A few small comments below.

I'll say yes to the comments about the Abstract and the one about punctuation.

>    to avoid making it impractical to invoke the first step of the recall

I would like to discuss this one with John.  My opinion is that it is 
not a good idea to distinguish between whether a recall petition is 
capricious or not as it may be viewed as forming an adverse opinion 
beforehand.  I would look at "some form of barrier" in terms of "threshold".

>       to complete the Recall Committee process.

RFC 7776 specifies that there is an expectation that the Recall 
Committee will receive a briefing.  I gather that is the alternative 
to "a statement of justification" (Section 7.1 of RFC 7437).  I 
wanted to avoid getting into a discussion of RFC 7776.  That is why 
the document is silent about it.

On reading your suggestion I noticed that the number of signatories 
is mentioned in RFC 7776.  This document proposes a second change so 
that the number is only specified in one place; the rationale is make 
future updates easier.

I would like to leave this one open for now.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Mon, 25 Mar 2019 13:59:22 -0400

Subramanian,

At this point, I'd prefer to be just one member of the community
and see where this goes rather than having some special status
to decide on things. Jn particular, but without any claim to
special status, everything you've said "yes" to seems fine to
me.   Other comments inline below.

--On Monday, March 25, 2019 01:53 -0700 S Moonesamy
<[email-masked]> wrote:

>...
 
>> Because it comes before the exposition of how many signatures
>> you are proposing, I would add to 2.3 something to the effect
>> of...
>> 
>> OLD
>>    This
>>    document also proposes to decrease the number of
>>    signatures required to avoid making it impractical to
>>    invoke the first step of the recall procedures.
>> NEW
>>    While recognising that some form of barrier is a good
>>    thing to prevent capricious use of recall petitions, this
>>    document also proposes to decrease the number of
>>    signatures required to avoid making it impractical to
>>    invoke the first step of the recall procedures.
>> END
 
> I would like to discuss this one with John.  My opinion is
> that it is not a good idea to distinguish between whether a
> recall petition is capricious or not as it may be viewed as
> forming an adverse opinion beforehand.  I would look at "some
> form of barrier" in terms of "threshold".

I'm not certain I understand the distinction you are making.  As
Appendix A points out, RFC 3777 raised the number of signatures
from one to 20 because of concerns about what I summarized as
frivolous recall attempts and intentional attacks on the system
by people whom others might (retrospectively at least) classify
as trolls or worse.   I like "frivolous" better than
"capricious" to summarize that concern, but either is consistent
with the discussions about making recalls sufficiently more
difficult to deter or prevent bad behavior that brought about
the more restrictive issues of 3777.  

>...
>> For completeness, I think this document should also note that
>> 7776 made an update to 7437 as follows...
>> 
>>       Ombudsteam to form a recall petition on its own and
>>       without requiring signatories from the community.  This
>>       document does not make any change to [RFC7776] or the
>>       Ombudsteam procedures and any petition originating from
>>       the Ombudsteam shall be treated in all ways like any
>>       other recall petition as described in [RFC7437]: that
>>       is, the fact of the petition and its signatories (the
>>       Ombudsteam) shall be announced to the IETF community,
>>       and a Recall Committee Chair shall be appointed to
>>       complete the Recall Committee process.
> 
> RFC 7776 specifies that there is an expectation that the
> Recall Committee will receive a briefing.  I gather that is
> the alternative to "a statement of justification" (Section 7.1
> of RFC 7437).  I wanted to avoid getting into a discussion of
> RFC 7776.  That is why the document is silent about it.

Again, just speaking personally, I think I agree with your
conclusion but perhaps not your reasoning.  To the extent to
which this I-D is about tuning the first step in the "normal"
recall procedure and 7776 sets up an alternate/ extraordinary
procedure, the two should be irrelevant to each other.  They
would be irrelevant to each other except ...
 
> On reading your suggestion I noticed that the number of
> signatories is mentioned in RFC 7776.  This document proposes
> a second change so that the number is only specified in one
> place; the rationale is make future updates easier.

Well, I'm confident that, had the authors of 7776 had, and
exercised, perfect ability to predict the future, they would not
have repeated details from 7437 that are irrelevant to the
alternate procedure they set up.  Two suggestions:

(i) It would not be a bad idea to include, somewhere in this
document, a sentence indicating that RFC 7776 provides an
alternate procedure for initiating a recall.   I wouldn't go
further than that but the cross reference might prove helpful to
someone, someday.

(ii) If this draft gets far enough along to be relevant, I think
asking the sponsoring AD, or the IESG generally, for an opinion
as to whether it it worth updating 7776 to remove specific
numbers and any other discussion of qualifications under the
normal procedure and, instead, point to this document and/or RFC
7437.

The latter is consistent with "leave open for now".

>...

best,
    john

---

From: S Moonesamy <[email-masked]>
Date: Mon, 25 Mar 2019 13:13:04 -0700

Hi John,
>to decide on things. Jn particular, but without any claim to

Ok.

>the more restrictive issues of 3777.

There is the following sentence in Section 7.1 of RFC 7437: "The 
Internet Society President must not evaluate the recall 
request".  Who is going to evaluate whether the persons who signed 
the petition made a frivolous request?  In my opinion, it is better 
to leave it to the Recall Committee look into the request.

There is a threshold for signatories.  The minimum number of 
signatories ensures that the justification is supported by more than 
one person and the primary affiliation restriction ensures that the 
persons are not from the same company/organization.

As a comment about "frivolous", it is currently possible for anyone 
to appeal a decision.   Does the IETF want to make appeals difficult 
given that it is possible to file an appeal which might be viewed as frivolous?

The question which could be asked by a non-participant is whether the 
first step of the current procedures is there to protect IAB or IESG 
management members from being recalled.  Has there been any frivolous 
recall attempts between RFC 2727 and RFC 3777?

>would be irrelevant to each other except ...

Ok.

>further than that but the cross reference might prove helpful to

Ok.

>normal procedure and, instead, point to this document and/or RFC

Ok.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Mon, 25 Mar 2019 16:56:03 -0400

--On Monday, March 25, 2019 13:13 -0700 S Moonesamy
<[email-masked]> wrote:

>...
>> I'm not certain I understand the distinction you are making.
>> As Appendix A points out, RFC 3777 raised the number of
>> signatures from one to 20 because of concerns about what I
>> summarized as frivolous recall attempts and intentional
>> attacks on the system by people whom others might
>> (retrospectively at least) classify as trolls or worse.   I
>> like "frivolous" better than "capricious" to summarize that
>> concern, but either is consistent with the discussions about
>> making recalls sufficiently more difficult to deter or
>> prevent bad behavior that brought about the more restrictive
>> issues of 3777.
> 
> There is the following sentence in Section 7.1 of RFC 7437:
> "The Internet Society President must not evaluate the recall
> request".  Who is going to evaluate whether the persons who
> signed the petition made a frivolous request?  In my opinion,
> it is better to leave it to the Recall Committee look into the
> request.

Ah.  Misunderstanding, not disagreement.  The intent of the
changes in RFC 3777 was to make it significantly harder for
someone to start the rather heavy-duty and costly (in community
time if nothing else) recall process if they did not have a
serious complaint.  That was specifically intended to discourage
efforts that I would describe as "frivolous", Adrian might
describe as "capricious", and others might described in
sentences involving terms like "troll".  In no case was there
any intent to have anyone other than the recall committee
evaluate the content of the appeal in terms of any of those
categories; the intent was simply that, by requiring multiple
members of the community -- members who met some standard for
participation and absence of being an obvious organized cabal --
to endorse (by signing) the request, things would get a lot
harder for one person whose concern was not shared more
generally to initiate a recall.  I think we all understood that
the new (as of 3777) model would prevent all such problem recall
efforts, but the motivation for raising the threshold was to at
least require more effort.

If that isn't clear enough in the document, I hope you/we would
welcome proposed text.

The current draft doesn't change any of that, it just
recalibrates the threshold and requirements for generating/
endorsing a recall effort.

> signatories ensures that the justification is supported by
> more than one person and the primary affiliation restriction
> ensures that the persons are not from the same
> company/organization.

Right.

> As a comment about "frivolous", it is currently possible for
> anyone to appeal a decision.   Does the IETF want to make
> appeals difficult given that it is possible to file an appeal
> which might be viewed as frivolous?

I hope not.  And, fwiw, two key differences between appeals and
recalls is that the former don't involve the burdens on the
community that setting up a recall committee, etc., do _and_ the
appeal process is intended to accommodate "hey, have you
considered the following issue in making your decision and,
especially if not, please reconsider the decision" situations
rather than any claim of misbehavior.  Very different and I
don't think having much to do with each other.

> The question which could be asked by a non-participant is
> whether the first step of the current procedures is there to
> protect IAB or IESG management members from being recalled.
> Has there been any frivolous recall attempts between RFC 2727
> and RFC 3777?

About twice as many as obviously frivolous recall attempts since
3777, i.e., approximately twice zero (although there were a few
threats).   One could argue that even the change from "anyone
can initiate" was not justified by history and experience, but
it appeared to many people that the "anyone" provision was just
a problem waiting to happen.

best,
   john

---

From: S Moonesamy <[email-masked]>
Date: Mon, 25 Mar 2019 15:24:08 -0700

Hi John,
>describe as "capricious", and others might described in

The following paragraph could be added at the end of the Security 
Considerations section:

   Setting up a Recall Committee is a costly effort.  The risk of
   frivolous recall petitions is mitigated by setting a threshold
   for qualified signatories.

I tried to capture the points which Adrian and you made to provide an 
explanation for setting a threshold instead of "anyone".

>If that isn't clear enough in the document, I hope you/we would

Please see the text which I suggested above.

>don't think having much to do with each other.

Thanks for elaborating on the differences between the two.

>a problem waiting to happen.

Yes.

I noticed two omissions which affects the proposals.  I'll contact 
you off-list about that.

Regards,
S. Moonesamy

---

From: joel jaeggli <[email-masked]>
Date: Mon, 25 Mar 2019 23:18:19 -0700

>   for qualified signatories.

We have an existence proof that it is not in fact hard to find enough
qualified signatories, since we have done it. Whether or not frivolity
is prevented we do not know beyond the counterfactual.

> I noticed two omissions which affects the proposals.  I'll contact you
> off-list about that.
> 
> Regards,
> S. Moonesamy

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 26 Mar 2019 06:33:27 -0000

FYI, he means Marshall Eubanks.

---

From: S Moonesamy <[email-masked]>
Date: Tue, 26 Mar 2019 01:44:17 -0700

Hi Joel,
>is prevented we do not know beyond the counterfactual.

The text which I suggested is about the risk,  I did not disagree on 
whether there was  one attempt to use the Recall process.  Adrian, 
thank you for the FYI.

I took a look at the number of RFC authors per continent [1] as those 
statistics are usually mentioned in discussions about 
participation.  There are four authors from the Africa and South 
America.  The number of signatories proposed in the draft (10) is 
more than twice that number.  Is there a risk of recall petitions 
from those two continents?

Regards,
S. Moonesamy

1. https://datatracker.ietf.org/stats/document/yearly/continent/?type=rfc